>extern "df0:charset2",chars
>extern "df0:mod.ramboloader",mt_data
>extern "df0:gommoso",$42800

** SAVE FROM $37500 TO $52000 **

jmp $37500
org $37500
load $37500

ciak:
	lea	$71000,a0
	lea	$78000,a1

clear:
	clr.l	(a0)+
	cmpa.l	a0,a1
	bne	clear
	lea	$40000,a0
	lea	$42800,a1

clop:
	clr.l	(a0)+
	cmpa.l	a0,a1
	bne	clop
	lea	$4a000,a0
	lea	$4c800,a1

clop2:
	clr.l	(a0)+
	cmpa.l	a0,a1
	bne	clop2
	move.l	4,a6
	jsr	-132(a6)
	bsr	setup_bars
	bsr	mt_init
	bsr	initballs
	move.l	4,a6
	lea	gfxlib,a1		
	moveq	#0,d0
	move.l	4.w,a6
	jsr	-$228(a6)
	tst	d0
	beq	error
	move.l	d0,gfxbse
	move.l	#screen,d0
	move.w	d0,pl0l
	swap	d0
	move.w	d0,pl0h
	move.l	gfxbse,a6
	move.w	#$87ff,$dff096
	move.l	50(a6),oldcop
	move.l	#copper,50(a6)
	move.w	#$8010,$dff09a
	move.l	$6c,oldirq
	move.l	#newirq,$6c
	move.w	#0,$dff042

wait:
	btst	#6,$bfe001
	bne.s	wait
	move.l	oldirq,$6c
	move.l	#$10,$dff09a
	bsr	mt_end
	move.l	gfxbse,a6
	move.l	oldcop,50(a6)
	move.l	gfxbse,a1
	move.l	4,a6
	jsr	-$19e(a6)
	move.l	4,a6
	jsr	-138(a6)

error:
	moveq	#0,d0
	rts

newirq:
	movem.l	d0-d7/a0-a6,-(sp)
	and.w	#$10,$dff01e		; Controlla il copper interrupt
	beq	out
	bsr	mt_music
	move.w	#$10,$dff09c
	bsr	sinscrolly
	bsr	muovix
	bsr	muoviy
	bsr	dobump
	bsr	docop
	bsr	filippetto_equalizer

out:
	movem.l	(sp)+,d0-d7/a0-a6
	dc.w	$4ef9

oldirq:	dc.l	0

Sinscrolly:
	move.l	current,a0		; Controlla qual e' lo schermo
	cmp.l	#screen,a0		; Switcha
	bne.s	corrente2
	move.l	#screen2,current
	move.l	#screen2+76,dest	; Punto di destinazione
	bra.s	cnt			; in cui stampare il carattere

corrente2:
	move.l	#screen,current
	move.l	#screen+76,dest

cnt:
	move.l	current,d0		; Fissa i bitplane nella
	move.w	d0,pl0l			; copperlist
	swap	d0
	move.w	d0,pl0h
	move.w	pausa,d0		; Controllo pausa
	tst.w	d0			; E' 0?
	beq.s	avanti			; Si' -> vai avanti
	subq	#1,d0			; No -> sottrai 1
	move.w	d0,pausa		; E aggiorna la label
	move.w	#0,shift		; Metti shift a 0
	bra	sinusoide

avanti:					; Blitta
	move.l	#scroll+2,$dff050	; Sorgente e destinazione
	move.l	#scroll,$dff054
	move.w	#$ffff,$dff044		; Mask
	move.w	#0,$dff066		; Moduli
	move.w	#0,$dff064
	move.w	#$e9f0,$dff040		; Step
	move.w	#$495,$dff058		; Start blitter
	move.l	carattere,a0		; Puntatore carattere
	move.b	(a0)+,d0		; Metti il prossimo in d0
	cmp.b	#"@",d0			; Carattere che genera pausa
	bne.s	controllo
	move.w	#150,pausa		; Metti il valore
	move.l	a0,carattere		; Restituisci il valore
	bra	sinusoide

controllo:
	move.w	punti,d0		; Controlla i punti
	subq.w	#1,d0
	move.w	d0,punti
	tst.w	d0			; Fine?
	beq.s	fatto			; Ottimo: passa avanti
	move.w	shift,d0
	cmp.w	#8,d0			; Larghezza caratteri!!!
	bne	noscrip			; Fai un eor e aggiungi
	move.w	caciaiuolo,d0		; 2 lw al blocco carattere
	eor.w	#1,d0
	move.w	d0,caciaiuolo
	addq.l	#2,char1
	tst.w	d0
	beq	blittatesto

fatto:
	move.w	#0,shift		; Valori iniziali
	move.w	#1,caciaiuolo
	move.l	carattere,a0
	move.l	#0,d0
	move.b	(a0)+,d0		; Vai col prossimo carattere
	tst.b	(a0)			; Se e' 0 (fine scroll)
	bne.s	find
	lea	testo,a0		; Ricomincia

find:
	move.l	a0,carattere
	sub.b	#$20,d0			; Costante
	move.l	d0,d1
	lsl.l	#1,d1			; Shifta a sinistra
	lea	prop,a0			; E prendi il valore lunghezza
	add.l	d1,a0			; Corrispondente nella tabella
	move.w	(a0),punti		; Poi copialo in punti
	lea	chars,a0

posiziona:
	cmp.b	#9,d0			; Si posiziona nel blocco
	ble.s	posizionato		; Caratteri
	sub.b	#10,d0
	add.l	#larghezza*18,a0	; Pos. verticale schermata car.
	bra.s	posiziona

posizionato:
	lsl.l	#2,d0
	add.l	d0,a0			; Prende il valore finale e
	move.l	a0,char1		; Finalmente ecco il carattere

blittatesto:
	move.l	char1,a0
	move.l	a0,$dff050		; Source
	move.l	#scroll+[larghezza+2],$dff054
					; Dest (fuori dallo schermo)
	move.w	#larghezza,$dff066	; Moduli
	move.w	#larghezza-2,$dff064
	move.w	#$09f0,$dff040		; Ovvio
	move.w	#$481,$dff058

noscrip:
	addq.w	#1,shift

sinusoide:				; Sinusoide
	moveq	#4,d4			; Valore da aggiungere a dest
	move.w	#19,d3			; Orizz.
	move.w	#larghezza-2,$dff066	; Dest Modulo
	move.w	#larghezza,$dff064	; Source Modulo
	move.w	#larghezza-2,$dff062	; Source Modulo
	move.w	#$ffff,$dff046		; Mask
	move.l	puntatonda,a3		; Valore

bueo:
	move.l	dest,a2
	add.l	d4,a2			; Valore orizzontale
	move.l	a2,a4
	sub.l	#larghezza*altezza,a4
	move.w	(a3)+,d5
	mulu	#larghezza,d5
	add.w	d5,a4			; Addiziona il valore del tab
	move.l	#scroll-4,a0		; Sorgente
	add.l	d4,a0
	sub.l	#[larghezza+2*altezza]-2,a0
	move.l	a0,$dff050		; Sorgente
	move.l	a4,$dff054		; Destinazione
	move.w	#$8000,$dff044
	move.w	#$09f0,$dff040
	move.w	#$f81,$dff058
	add.l	#larghezza+2*altezza,a0
	move.w	(a3)+,d5		; 1
	mulu	#larghezza,d5
	add.w	d5,a2			; Sposta lo stesso punto
	move.l	a0,$dff050		; A varie altezze
	move.l	a2,$dff04c		; Diminuendo progressivamente
	move.l	a2,$dff054		; $dff044
	sub.w	d5,a2
	move.w	#$4000,$dff044
	move.w	#$dfc,$dff040
	move.w	#$481,$dff058
	move.w	(a3)+,d5		; 2
	mulu	#larghezza,d5
	add.w	d5,a2
	move.l	a0,$dff050
	move.l	a2,$dff04c
	move.l	a2,$dff054
	sub.w	d5,a2
	move.w	#$2000,$dff044
	move.w	#$481,$dff058
	move.w	(a3)+,d5		; 3
	mulu	#larghezza,d5
	add.w	d5,a2
	move.l	a0,$dff050
	move.l	a2,$dff04c
	move.l	a2,$dff054
	sub.w	d5,a2
	move.w	#$1000,$dff044
	move.w	#$481,$dff058
	move.w	(a3)+,d5		; 4
	mulu	#larghezza,d5
	add.w	d5,a2
	move.l	a0,$dff050
	move.l	a2,$dff04c
	move.l	a2,$dff054
	sub.w	d5,a2
	move.w	#$0800,$dff044
	move.w	#$481,$dff058
	move.w	(a3)+,d5		; 5
	mulu	#larghezza,d5
	add.w	d5,a2
	move.l	a0,$dff050
	move.l	a2,$dff04c
	move.l	a2,$dff054
	sub.w	d5,a2
	move.w	#$0400,$dff044
	move.w	#$481,$dff058
	move.w	(a3)+,d5		; 6
	mulu	#larghezza,d5
	add.w	d5,a2
	move.l	a0,$dff050
	move.l	a2,$dff04c
	move.l	a2,$dff054
	sub.w	d5,a2
	move.w	#$0200,$dff044
	move.w	#$481,$dff058
	move.w	(a3)+,d5		; 7
	mulu	#larghezza,d5
	add.w	d5,a2
	move.l	a0,$dff050
	move.l	a2,$dff04c
	move.l	a2,$dff054
	sub.w	d5,a2
	move.w	#$0100,$dff044
	move.w	#$481,$dff058
	move.w	(a3)+,d5		; 8
	mulu	#larghezza,d5
	add.w	d5,a2
	move.l	a0,$dff050
	move.l	a2,$dff04c
	move.l	a2,$dff054
	sub.w	d5,a2
	move.w	#$0080,$dff044
	move.w	#$481,$dff058
	move.w	(a3)+,d5		; 9
	mulu	#larghezza,d5
	add.w	d5,a2
	move.l	a0,$dff050
	move.l	a2,$dff04c
	move.l	a2,$dff054
	sub.w	d5,a2
	move.w	#$0040,$dff044
	move.w	#$481,$dff058
	move.w	(a3)+,d5		; 10
	mulu	#larghezza,d5
	add.w	d5,a2
	move.l	a0,$dff050
	move.l	a2,$dff04c
	move.l	a2,$dff054
	sub.w	d5,a2
	move.w	#$0020,$dff044
	move.w	#$481,$dff058
	move.w	(a3)+,d5		; 11
	mulu	#larghezza,d5
	add.w	d5,a2
	move.l	a0,$dff050
	move.l	a2,$dff04c
	move.l	a2,$dff054
	sub.w	d5,a2
	move.w	#$0010,$dff044
	move.w	#$481,$dff058
	move.w	(a3)+,d5		; 12
	mulu	#larghezza,d5
	add.w	d5,a2
	move.l	a0,$dff050
	move.l	a2,$dff04c
	move.l	a2,$dff054
	sub.w	d5,a2
	move.w	#$0008,$dff044
	move.w	#$481,$dff058
	move.w	(a3)+,d5		; 13
	mulu	#larghezza,d5
	add.w	d5,a2
	move.l	a0,$dff050
	move.l	a2,$dff04c
	move.l	a2,$dff054
	sub.w	d5,a2
	move.w	#$0004,$dff044
	move.w	#$481,$dff058
	move.w	(a3)+,d5		; 14
	mulu	#larghezza,d5
	add.w	d5,a2
	move.l	a0,$dff050
	move.l	a2,$dff04c
	move.l	a2,$dff054
	sub.w	d5,a2
	move.w	#$0002,$dff044
	move.w	#$481,$dff058
	move.w	(a3)+,d5		; 15
	mulu	#larghezza,d5
	add.w	d5,a2
	move.l	a0,$dff050
	move.l	a2,$dff04c
	move.l	a2,$dff054
	sub.w	d5,a2
	move.w	#$0001,$dff044
	move.w	#$481,$dff058
	addq.w	#2,d4			; Valore orizz+2
	dbf	d3,bueo
	move.l	puntatonda,a0
	sub.l	sinvel,a0		; Velocita' sinusoide
	cmp.l	#tabella,a0
	bgt.s	ok
	lea	half,a0

ok:
	move.l	a0,puntatonda
	rts

Dobump:
move.l	InCol(pc),a1
move.w	(a1)+,d0
cmp.w	#"END!",d0
bne.s	NoRestart2
move.l	#Collas,a1
move.w	(a1)+,d0

NoRestart2:
mulu	#40,d0
add.w	#$2800,d0
move.w	d0,pointah
add.w	#$2800,d0
move.w	d0,pointa2
add.w	#$2800,d0
move.w	d0,pointa3
move.l	a1,InCol
rts

Incol:dc.l collas

Collas:
	dc.w	-109,-109,-109,-109,-108,-108,-108,-107
	dc.w	-107,-106,-106,-105,-104,-103,-102,-101
	dc.w	-100,-99,-98,-97,-96,-94,-93,-92
	dc.w	-90,-88,-87,-85,-84,-82,-80,-78
	dc.w	-77,-75,-73,-71,-69,-67,-65,-63
	dc.w	-61,-59,-56,-54,-52,-50,-48,-46
	dc.w	-43,-41,-39,-37,-35,-32,-30,-28
	dc.w	-26,-24,-22,-19,-17,-15,-13,-11
	dc.w	-9,-7,-5,-3,-1,0,1,3
	dc.w	5,6,8,9,11,13,14,15
	dc.w	17,18,19,20,21,22,23,24
	dc.w	25,26,27,27,28,28,29,29
	dc.w	29,30,30,30,30,30,30,30
	dc.w	29,29,29,28,28,27,27,26
	dc.w	25,24,23,22,21,20,19,18
	dc.w	17,15,14,13,11,9,8,6
	dc.w	5,3,1,0,-1,-3,-5,-7
	dc.w	-9,-11,-13,-15,-17,-19,-22,-24
	dc.w	-26,-28,-30,-32,-35,-37,-39,-41
	dc.w	-43,-46,-48,-50,-52,-54,-56,-59
	dc.w	-61,-63,-65,-67,-69,-71,-73,-75
	dc.w	-77,-78,-80,-82,-84,-85,-87,-88
	dc.w	-90,-92,-93,-94,-96,-97,-98,-99
	dc.w	-100,-101,-102,-103,-104,-105,-106,-106
	dc.w	-107,-107,-108,-108,-108,-109,-109,-109

dc.w 	"END!"

DoCop:
lea	CopCols(pc),a0		; Sesto byte dopo ogni riga in a0
move.l	#43,d7			; Numero righe

clp22:
move.w	12(a0),(a0)		; -8 bytes in a0
add.l	#12,a0			; Sottrai 8 long words
dbf	d7,clp22		; Per tutte le righe
move.l	InCol3(pc),a1
move.w	(a1)+,d0
cmp.w	#$ffff,d0
bne.s	NoRestart3
move.l	#Collas3,a1
move.w	(a1)+,d0

NoRestart3:
move.w	d0,(a0)
lea	CopCols2(pc),a0		; Sesto byte dopo ogni riga in a0
move.l	#43,d7			; Numero righe

clp222:
move.w	12(a0),(a0)		; -8 bytes in a0
add.l	#12,a0			; Sottrai 8 long words
dbf	d7,clp222			; Per tutte le righe
move.w	d0,(a0)
move.l	a1,InCol3
rts

InCol3:dc.l	collas3

Collas3:
dc.w	-40,-80,-40,-80,-40,-80,-40,-80,-40,-80,-40,-80,-40,-80,-40,-80
dc.w	-40,-40,-80,-40,-40,-80,-40,-40,-80,-40,-40,-80,-40,-40,-80
dc.w	-40,-40,-40,-80,-40,-40,-40,-80,-40,-40,-40,-80
dc.w	-40,-40,-40,-40,-80
dc.w	-40,-40,-40,-80,-40,-40,-40,-80,-40,-40,-40,-80
dc.w	-40,-40,-80,-40,-40,-80,-40,-40,-80,-40,-40,-80,-40,-40,-80
dc.w	-40,-80,-40,-80,-40,-80,-40,-80,-40,-80,-40,-80,-40,-80,-40,-80
blk.w	60,-80
dc.w	$ffff

startpos1=$70
startpos2=$80
startpos3=$90
startpos4=$a0
background=$0000
maxvalue=$df
minvalue=$39
subvalue=$02
barheight=13

** EQUALIZER SET-UP ROUTINE. CALL THIS BEFORE STARTING YOUR DEMO! **

Setup_bars:
	lea	nesquik1,a0		; Prepara le barre
	lea	colortab,a1
	moveq	#barheight-1,d0
	move.b	#startpos1,d1

B1loop:
	move.b	d1,(a0)+
	move.b	#minvalue,(a0)+
	move.w	#$fffe,(a0)+
	move.w	#$0180,(a0)+
	move.w	(a1)+,(a0)+		; Colore dalla lista
	move.b	d1,(a0)+
	move.b	#maxvalue,(a0)+
	move.w	#$fffe,(a0)+
	move.w	#$0180,(a0)+		; Background (che finezza!)
	move.w	#background,(a0)+
	add.b	#1,d1
	dbra	d0,b1loop
	lea	nesquik2,a0		; Seconda barra, ecc.
	lea	colortab,a1		; Nota: la colortab DEVE
	moveq	#barheight-1,d0		; essere della lunghezza
	move.b	#startpos2,d1		; giusta (al massimo piu' lunga)

B2loop:
	move.b	d1,(a0)+
	move.b	#minvalue,(a0)+
	move.w	#$fffe,(a0)+
	move.w	#$0180,(a0)+
	move.w	(a1)+,(a0)+
	move.b	d1,(a0)+
	move.b	#maxvalue,(a0)+
	move.w	#$fffe,(a0)+
	move.w	#$0180,(a0)+
	move.w	#background,(a0)+
	add.b	#1,d1
	dbra	d0,b2loop
	lea	nesquik3,a0
	lea	colortab,a1
	moveq	#barheight-1,d0
	move.b	#startpos3,d1

B3loop:
	move.b	d1,(a0)+
	move.b	#minvalue,(a0)+
	move.w	#$fffe,(a0)+
	move.w	#$0180,(a0)+
	move.w	(a1)+,(a0)+
	move.b	d1,(a0)+
	move.b	#maxvalue,(a0)+
	move.w	#$fffe,(a0)+
	move.w	#$0180,(a0)+
	move.w	#background,(a0)+
	add.b	#1,d1
	dbra	d0,b3loop
	lea	nesquik4,a0
	lea	colortab,a1
	moveq	#barheight-1,d0
	move.b	#startpos4,d1

B4loop:
	move.b	d1,(a0)+
	move.b	#minvalue,(a0)+
	move.w	#$fffe,(a0)+
	move.w	#$0180,(a0)+
	move.w	(a1)+,(a0)+
	move.b	d1,(a0)+
	move.b	#maxvalue,(a0)+
	move.w	#$fffe,(a0)+
	move.w	#$0180,(a0)+
	move.w	#background,(a0)+
	add.b	#1,d1
	dbra	d0,b4loop
	rts

Colortab:
dc.w	$22,$44,$66,$88,$aa,$cc,$ee,$cc,$aa,$88,$66,$44,$22

** EQUALIZER ROUTINE CODED BY FILIPPETTO OF SAVAGE! **
** CALL THIZ EVERY FRAME !!!!!!!!!!!!!!!!!!!!!!!!!! **

filippetto_equalizer:
	bsr	subbar1			; Prima di tutto sottrae le
	bsr	subbar2			; barre
	bsr	subbar3
	bsr	subbar4
	tst.w	eq_counter		; Questo per non farlo
	bne	g4			; "fermare" in caso di note
	move.w	#5,eq_counter		; ripetute (adiacenti)

Controllovoci:
	tst.w	mt_voice1		; Cambiare mt_voice1,2,3,4
	beq	g1			; se si usano altri programmi
	bsr	ciobar1			; (es. future composer)

g1:
	tst.w	mt_voice2		; Se non suona il canale testa
	beq	g2			; quello dopo
	bsr	ciobar2			; Altrimenti "spara" la barra

g2:
	tst.w	mt_voice3
	beq	g3
	bsr	ciobar3

g3:
	tst.w	mt_voice4
	beq	g4
	bsr	ciobar4

g4:
	sub.w	#1,eq_counter
	rts

ciobar1:
	lea	nesquik1+9,a0		; Copper: posizione orizz.
	moveq	#barheight-1,d0		; Quante linee

c1loop:
	move.b	#maxvalue,(a0)
	add.l	#16,a0			; Passa alla riga successiva
	dbra	d0,c1loop
	rts

ciobar2:
	lea	nesquik2+9,a0
	moveq	#barheight-1,d0

c2loop:
	move.b	#maxvalue,(a0)
	add.l	#16,a0
	dbra	d0,c2loop
	rts

ciobar3:
	lea	nesquik3+9,a0
	moveq	#barheight-1,d0

c3loop:
	move.b	#maxvalue,(a0)
	add.l	#16,a0
	dbra	d0,c3loop
	rts

ciobar4:
	lea	nesquik4+9,a0
	moveq	#barheight-1,d0

c4loop:
	move.b	#maxvalue,(a0)
	add.l	#16,a0
	dbra	d0,c4loop
	rts

subbar1:
	lea	nesquik1+9,a0		; Copper: posizione orizz.
	cmp.b	#minvalue,(a0)		; E' gia' a 0?
	beq	torna1			; Allora come non detto
	moveq	#barheight-1,d0

sub1loop:
	sub.b	#subvalue,(a0)
	add.l	#16,a0			; Riga successiva
	dbra	d0,sub1loop

torna1:
	rts

subbar2:
	lea	nesquik2+9,a0
	cmp.b	#minvalue,(a0)
	beq	torna2
	moveq	#barheight-1,d0

sub2loop:
	sub.b	#subvalue,(a0)
	add.l	#16,a0
	dbra	d0,sub2loop

torna2:
	rts

subbar3:
	lea	nesquik3+9,a0
	cmp.b	#minvalue,(a0)
	beq	torna3
	moveq	#barheight-1,d0

sub3loop:
	sub.b	#subvalue,(a0)
	add.l	#16,a0
	dbra	d0,sub3loop

torna3:
	rts

subbar4:
	lea	nesquik4+9,a0
	cmp.b	#minvalue,(a0)
	beq	torna4
	moveq	#barheight-1,d0

sub4loop:
	sub.b	#subvalue,(a0)
	add.l	#16,a0
	dbra	d0,sub4loop

torna4:
	rts

eq_counter:	dc.w 5

** END OF EQUALIZER ROUTINE **

mt_init:lea	mt_data,a0
	move.l	a0,a1
	add.l	#$3b8,a1
	moveq	#$7f,d0
	moveq	#0,d1
mt_loop:move.l	d1,d2
	subq.w	#1,d0
mt_lop2:move.b	(a1)+,d1
	cmp.b	d2,d1
	bgt.s	mt_loop
	dbf	d0,mt_lop2
	addq.b	#1,d2

	lea	mt_samplestarts(pc),a1
	asl.l	#8,d2
	asl.l	#2,d2
	add.l	#$43c,d2
	add.l	a0,d2
	move.l	d2,a2
	moveq	#$1e,d0
mt_lop3:clr.l	(a2)
	move.l	a2,(a1)+
	moveq	#0,d1
	move.w	42(a0),d1
	asl.l	#1,d1
	add.l	d1,a2
	add.l	#$1e,a0
	dbf	d0,mt_lop3

	or.b	#$2,$bfe001
	move.b	#$6,mt_speed
	clr.w	$dff0a8
	clr.w	$dff0b8
	clr.w	$dff0c8
	clr.w	$dff0d8
	clr.b	mt_songpos
	clr.b	mt_counter
	clr.w	mt_pattpos
	rts

mt_end:	clr.w	$dff0a8
	clr.w	$dff0b8
	clr.w	$dff0c8
	clr.w	$dff0d8
	move.w	#$f,$dff096
	rts

mt_music:
	movem.l	d0-d4/a0-a3/a5-a6,-(a7)
	lea	mt_data,a0
	addq.b	#$1,mt_counter
	move.b	mt_counter,D0
	cmp.b	mt_speed,D0
	blt.s	mt_nonew
	clr.b	mt_counter
	bra	mt_getnew

mt_nonew:
	lea	mt_voice1(pc),a6
	lea	$dff0a0,a5
	bsr	mt_checkcom
	lea	mt_voice2(pc),a6
	lea	$dff0b0,a5
	bsr	mt_checkcom
	lea	mt_voice3(pc),a6
	lea	$dff0c0,a5
	bsr	mt_checkcom
	lea	mt_voice4(pc),a6
	lea	$dff0d0,a5
	bsr	mt_checkcom
	bra	mt_endr

mt_arpeggio:
	moveq	#0,d0
	move.b	mt_counter,d0
	divs	#$3,d0
	swap	d0
	cmp.w	#$0,d0
	beq.s	mt_arp2
	cmp.w	#$2,d0
	beq.s	mt_arp1

	moveq	#0,d0
	move.b	$3(a6),d0
	lsr.b	#4,d0
	bra.s	mt_arp3
mt_arp1:moveq	#0,d0
	move.b	$3(a6),d0
	and.b	#$f,d0
	bra.s	mt_arp3
mt_arp2:move.w	$10(a6),d2
	bra.s	mt_arp4
mt_arp3:asl.w	#1,d0
	moveq	#0,d1
	move.w	$10(a6),d1
	lea	mt_periods(pc),a0
	moveq	#$24,d7
mt_arploop:
	move.w	(a0,d0.w),d2
	cmp.w	(a0),d1
	bge.s	mt_arp4
	addq.l	#2,a0
	dbf	d7,mt_arploop
	rts
mt_arp4:move.w	d2,$6(a5)
	rts

mt_getnew:
	lea	mt_data,a0
	move.l	a0,a3
	move.l	a0,a2
	add.l	#$c,a3
	add.l	#$3b8,a2
	add.l	#$43c,a0

	moveq	#0,d0
	move.l	d0,d1
	move.b	mt_songpos,d0
	move.b	(a2,d0.w),d1
	asl.l	#8,d1
	asl.l	#2,d1
	add.w	mt_pattpos,d1
	clr.w	mt_dmacon

	lea	$dff0a0,a5
	lea	mt_voice1(pc),a6
	bsr.s	mt_playvoice
	lea	$dff0b0,a5
	lea	mt_voice2(pc),a6
	bsr.s	mt_playvoice
	lea	$dff0c0,a5
	lea	mt_voice3(pc),a6
	bsr.s	mt_playvoice
	lea	$dff0d0,a5
	lea	mt_voice4(pc),a6
	bsr.s	mt_playvoice
	bra	mt_setdma

mt_playvoice:
	move.l	(a0,d1.l),(a6)
	addq.l	#4,d1
	moveq	#0,d2
	move.b	$2(a6),d2
	and.b	#$f0,d2
	lsr.b	#4,d2
	move.b	(a6),d0
	and.b	#$f0,d0
	or.b	d0,d2
	tst.b	d2
	beq.s	mt_setregs
	moveq	#0,d3
	lea	mt_samplestarts(pc),a1
	move.l	d2,d4
	subq.l	#$1,d2
	asl.l	#2,d2
	mulu	#$1e,d4
	move.l	(a1,d2.l),$4(a6)
	move.w	(a3,d4.l),$8(a6)
	move.w	$2(a3,d4.l),$12(a6)
	move.w	$4(a3,d4.l),d3
	tst.w	d3
	beq.s	mt_noloop
	move.l	$4(a6),d2
	asl.w	#1,d3
	add.l	d3,d2
	move.l	d2,$a(a6)
	move.w	$4(a3,d4.l),d0
	add.w	$6(a3,d4.l),d0
	move.w	d0,8(a6)
	move.w	$6(a3,d4.l),$e(a6)
	move.w	$12(a6),$8(a5)
	bra.s	mt_setregs
mt_noloop:
	move.l	$4(a6),d2
	add.l	d3,d2
	move.l	d2,$a(a6)
	move.w	$6(a3,d4.l),$e(a6)
	move.w	$12(a6),$8(a5)
mt_setregs:
	move.w	(a6),d0
	and.w	#$fff,d0
	beq	mt_checkcom2
	move.b	$2(a6),d0
	and.b	#$F,d0
	cmp.b	#$3,d0
	bne.s	mt_setperiod
	bsr	mt_setmyport
	bra	mt_checkcom2
mt_setperiod:
	move.w	(a6),$10(a6)
	and.w	#$fff,$10(a6)
	move.w	$14(a6),d0
	move.w	d0,$dff096
	clr.b	$1b(a6)

	move.l	$4(a6),(a5)
	move.w	$8(a6),$4(a5)
	move.w	$10(a6),d0
	and.w	#$fff,d0
	move.w	d0,$6(a5)
	move.w	$14(a6),d0
	or.w	d0,mt_dmacon
	bra	mt_checkcom2

mt_setdma:
	move.w	#$12c,d0
mt_wait:dbf	d0,mt_wait
	move.w	mt_dmacon,d0
	or.w	#$8000,d0
	move.w	d0,$dff096
	move.w	#$12c,d0
mt_wai2:dbf	d0,mt_wai2
	lea	$dff000,a5
	lea	mt_voice4(pc),a6
	move.l	$a(a6),$d0(a5)
	move.w	$e(a6),$d4(a5)
	lea	mt_voice3(pc),a6
	move.l	$a(a6),$c0(a5)
	move.w	$e(a6),$c4(a5)
	lea	mt_voice2(pc),a6
	move.l	$a(a6),$b0(a5)
	move.w	$e(a6),$b4(a5)
	lea	mt_voice1(pc),a6
	move.l	$a(a6),$a0(a5)
	move.w	$e(a6),$a4(a5)

	add.w	#$10,mt_pattpos
	cmp.w	#$400,mt_pattpos
	bne.s	mt_endr
mt_nex:	clr.w	mt_pattpos
	clr.b	mt_break
	addq.b	#1,mt_songpos
	and.b	#$7f,mt_songpos
	move.b	mt_songpos,d1
	cmp.b	mt_data+$3b6,d1
	bne.s	mt_endr
	move.b	mt_data+$3b7,mt_songpos
mt_endr:tst.b	mt_break
	bne.s	mt_nex
	movem.l	(a7)+,d0-d4/a0-a3/a5-a6
	rts

mt_setmyport:
	move.w	(a6),d2
	and.w	#$fff,d2
	move.w	d2,$18(a6)
	move.w	$10(a6),d0
	clr.b	$16(a6)
	cmp.w	d0,d2
	beq.s	mt_clrport
	bge.s	mt_rt
	move.b	#$1,$16(a6)
	rts
mt_clrport:
	clr.w	$18(a6)
mt_rt:	rts

mt_myport:
	move.b	$3(a6),d0
	beq.s	mt_myslide
	move.b	d0,$17(a6)
	clr.b	$3(a6)
mt_myslide:
	tst.w	$18(a6)
	beq.s	mt_rt
	moveq	#0,d0
	move.b	$17(a6),d0
	tst.b	$16(a6)
	bne.s	mt_mysub
	add.w	d0,$10(a6)
	move.w	$18(a6),d0
	cmp.w	$10(a6),d0
	bgt.s	mt_myok
	move.w	$18(a6),$10(a6)
	clr.w	$18(a6)
mt_myok:move.w	$10(a6),$6(a5)
	rts
mt_mysub:
	sub.w	d0,$10(a6)
	move.w	$18(a6),d0
	cmp.w	$10(a6),d0
	blt.s	mt_myok
	move.w	$18(a6),$10(a6)
	clr.w	$18(a6)
	move.w	$10(a6),$6(a5)
	rts

mt_vib:	move.b	$3(a6),d0
	beq.s	mt_vi
	move.b	d0,$1a(a6)

mt_vi:	move.b	$1b(a6),d0
	lea	mt_sin(pc),a4
	lsr.w	#$2,d0
	and.w	#$1f,d0
	moveq	#0,d2
	move.b	(a4,d0.w),d2
	move.b	$1a(a6),d0
	and.w	#$f,d0
	mulu	d0,d2
	lsr.w	#$6,d2
	move.w	$10(a6),d0
	tst.b	$1b(a6)
	bmi.s	mt_vibmin
	add.w	d2,d0
	bra.s	mt_vib2
mt_vibmin:
	sub.w	d2,d0
mt_vib2:move.w	d0,$6(a5)
	move.b	$1a(a6),d0
	lsr.w	#$2,d0
	and.w	#$3c,d0
	add.b	d0,$1b(a6)
	rts

mt_nop:	move.w	$10(a6),$6(a5)
	rts

mt_checkcom:
	move.w	$2(a6),d0
	and.w	#$fff,d0
	beq.s	mt_nop
	move.b	$2(a6),d0
	and.b	#$f,d0
	tst.b	d0
	beq	mt_arpeggio
	cmp.b	#$1,d0
	beq.s	mt_portup
	cmp.b	#$2,d0
	beq	mt_portdown
	cmp.b	#$3,d0
	beq	mt_myport
	cmp.b	#$4,d0
	beq	mt_vib
	move.w	$10(a6),$6(a5)
	cmp.b	#$a,d0
	beq.s	mt_volslide
	rts

mt_volslide:
	moveq	#0,d0
	move.b	$3(a6),d0
	lsr.b	#4,d0
	tst.b	d0
	beq.s	mt_voldown
	add.w	d0,$12(a6)
	cmp.w	#$40,$12(a6)
	bmi.s	mt_vol2
	move.w	#$40,$12(a6)
mt_vol2:move.w	$12(a6),$8(a5)
	rts

mt_voldown:
	moveq	#0,d0
	move.b	$3(a6),d0
	and.b	#$f,d0
	sub.w	d0,$12(a6)
	bpl.s	mt_vol3
	clr.w	$12(a6)
mt_vol3:move.w	$12(a6),$8(a5)
	rts

mt_portup:
	moveq	#0,d0
	move.b	$3(a6),d0
	sub.w	d0,$10(a6)
	move.w	$10(a6),d0
	and.w	#$fff,d0
	cmp.w	#$71,d0
	bpl.s	mt_por2
	and.w	#$f000,$10(a6)
	or.w	#$71,$10(a6)
mt_por2:move.w	$10(a6),d0
	and.w	#$fff,d0
	move.w	d0,$6(a5)
	rts

mt_portdown:
	clr.w	d0
	move.b	$3(a6),d0
	add.w	d0,$10(a6)
	move.w	$10(a6),d0
	and.w	#$fff,d0
	cmp.w	#$358,d0
	bmi.s	mt_por3
	and.w	#$f000,$10(a6)
	or.w	#$358,$10(a6)
mt_por3:move.w	$10(a6),d0
	and.w	#$fff,d0
	move.w	d0,$6(a5)
	rts

mt_checkcom2:
	move.b	$2(a6),d0
	and.b	#$f,d0
	cmp.b	#$e,d0
	beq.s	mt_setfilt
	cmp.b	#$d,d0
	beq.s	mt_pattbreak
	cmp.b	#$b,d0
	beq.s	mt_posjmp
	cmp.b	#$c,d0
	beq.s	mt_setvol
	cmp.b	#$f,d0
	beq.s	mt_setspeed
	rts

mt_setfilt:
	move.b	$3(a6),d0
	and.b	#$1,d0
	asl.b	#$1,d0
	and.b	#$fd,$bfe001
	or.b	d0,$bfe001
	rts
mt_pattbreak:
	not.b	mt_break
	rts
mt_posjmp:
	move.b	$3(a6),d0
	subq.b	#$1,d0
	move.b	d0,mt_songpos
	not.b	mt_break
	rts
mt_setvol:
	cmp.b	#$40,$3(a6)
	ble.s	mt_vol4
	move.b	#$40,$3(a6)
mt_vol4:move.b	$3(a6),$8(a5)
	rts
mt_setspeed:
	cmp.b	#$1f,$3(a6)
	ble.s	mt_sets
	move.b	#$1f,$3(a6)
mt_sets:move.b	$3(a6),d0
	beq.s	mt_rts2
	move.b	d0,mt_speed
	clr.b	mt_counter
mt_rts2:rts

mt_sin:
dc.b $00,$18,$31,$4a,$61,$78,$8d,$a1,$b4,$c5,$d4,$e0,$eb,$f4,$fa,$fd
dc.b $ff,$fd,$fa,$f4,$eb,$e0,$d4,$c5,$b4,$a1,$8d,$78,$61,$4a,$31,$18

mt_periods:
dc.w $0358,$0328,$02fa,$02d0,$02a6,$0280,$025c,$023a,$021a,$01fc,$01e0
dc.w $01c5,$01ac,$0194,$017d,$0168,$0153,$0140,$012e,$011d,$010d,$00fe
dc.w $00f0,$00e2,$00d6,$00ca,$00be,$00b4,$00aa,$00a0,$0097,$008f,$0087
dc.w $007f,$0078,$0071,$0000,$0000

mt_speed:	dc.b	$6
mt_songpos:	dc.b	$0
mt_pattpos:	dc.w	$0
mt_counter:	dc.b	$0

mt_break:	dc.b	$0
mt_dmacon:	dc.w	$0
mt_samplestarts:blk.l	$1f,0
mt_voice1:	blk.w	10,0
		dc.w	$1
		blk.w	3,0
mt_voice2:	blk.w	10,0
		dc.w	$2
		blk.w	3,0
mt_voice3:	blk.w	10,0
		dc.w	$4
		blk.w	3,0
mt_voice4:	blk.w	10,0
		dc.w	$8
		blk.w	3,0

Initballs:
move.l	#sprite0,d0
move.w	d0,sp2
swap	d0
move.w	d0,sp1
move.l	#sprite1,d0
move.w	d0,sp4
swap	d0
move.w	d0,sp3
move.l	#sprite2,d0
move.w	d0,sp6
swap	d0
move.w	d0,sp5
move.l	#sprite3,d0
move.w	d0,sp8
swap	d0
move.w	d0,sp7
move.l	#sprite4,d0
move.w	d0,sp10
swap	d0
move.w	d0,sp9
move.l	#sprite5,d0
move.w	d0,sp12
swap	d0
move.w	d0,sp11
move.l	#sprite6,d0
move.w	d0,sp14
swap	d0
move.w	d0,sp13
move.l	#sprite7,d0
move.w	d0,sp16
swap	d0
move.w	d0,sp15
rts

Muovix:
move.l	xpointer,a1
move.b	(a1)+,d0
cmp.b	#"!",d0		; Controllo fine tabella
bne	xnor
move.l	#xtabella,a1	; Se si' riparte dal primo valore
move.b	(A1)+,d0

xnor:
move.b	d0,sprite0+1	; Sprite0+1: ovvero (es: $30413500)
move.l	a1,xpointer	;                            ^
move.l	xpointer2,a1	; Questo byte ---------------|
move.b	(a1)+,d0	; (che indica la pos. orizz. dello sprite)
cmp.b	#"!",d0
bne	xnor2
move.l	#xtabella,a1
move.b	(A1)+,d0

xnor2:
move.b	d0,sprite1+1
move.l	a1,xpointer2
move.l	xpointer3,a1
move.b	(a1)+,d0
cmp.b	#"!",d0
bne	xnor3
move.l	#xtabella,a1
move.b	(A1)+,d0

xnor3:
move.b	d0,sprite2+1
move.l	a1,xpointer3
move.l	xpointer4,a1
move.b	(a1)+,d0
cmp.b	#"!",d0
bne	xnor4
move.l	#xtabella,a1
move.b	(A1)+,d0

xnor4:
move.b	d0,sprite3+1
move.l	a1,xpointer4
move.l	xpointer5,a1
move.b	(a1)+,d0
cmp.b	#"!",d0
bne	xnor5
move.l	#xtabella,a1
move.b	(A1)+,d0

xnor5:
move.b	d0,sprite4+1
move.l	a1,xpointer5
move.l	xpointer6,a1
move.b	(a1)+,d0
cmp.b	#"!",d0
bne	xnor6
move.l	#xtabella,a1
move.b	(A1)+,d0

xnor6:
move.b	d0,sprite5+1
move.l	a1,xpointer6
move.l	xpointer7,a1
move.b	(a1)+,d0
cmp.b	#"!",d0
bne	xnor7
move.l	#xtabella,a1
move.b	(A1)+,d0

xnor7:
move.b	d0,sprite6+1
move.l	a1,xpointer7
move.l	xpointer8,a1
move.b	(a1)+,d0
cmp.b	#"!",d0
bne	xnor8
move.l	#xtabella,a1
move.b	(A1)+,d0

xnor8:
move.b	d0,sprite7+1
move.l	a1,xpointer8
rts

Muoviy:
move.l	ypointer,a1
move.b	(a1)+,d0
cmp.b	#"!",d0
bne	ynor
move.l	#ytabella,a1
move.b	(A1)+,d0

ynor:
move.b	d0,sprite0	; Aggiorna il byte della pos. ystart
add.b	#sp0height,d0	; dello sprite (il primo byte)
move.b	d0,sprite0+2	; Poi addiziona l'altezza dello sprite
move.l	a1,ypointer	; e aggiorna yend
move.l	ypointer2,a1
move.b	(a1)+,d0
cmp.b	#"!",d0
bne	ynor2
move.l	#ytabella,a1
move.b	(A1)+,d0

ynor2:
move.b	d0,sprite1
add.b	#sp1height,d0
move.b	d0,sprite1+2
move.l	a1,ypointer2
move.l	ypointer3,a1
move.b	(a1)+,d0
cmp.b	#"!",d0
bne	ynor3
move.l	#ytabella,a1
move.b	(A1)+,d0

ynor3:
move.b	d0,sprite2
add.b	#sp2height,d0
move.b	d0,sprite2+2
move.l	a1,ypointer3
move.l	ypointer4,a1
move.b	(a1)+,d0
cmp.b	#"!",d0
bne	ynor4
move.l	#ytabella,a1
move.b	(A1)+,d0

ynor4:
move.b	d0,sprite3
add.b	#sp3height,d0
move.b	d0,sprite3+2
move.l	a1,ypointer4
move.l	ypointer5,a1
move.b	(a1)+,d0
cmp.b	#"!",d0
bne	ynor5
move.l	#ytabella,a1
move.b	(A1)+,d0

ynor5:
move.b	d0,sprite4
add.b	#sp4height,d0
move.b	d0,sprite4+2
move.l	a1,ypointer5
move.l	ypointer6,a1
move.b	(a1)+,d0
cmp.b	#"!",d0
bne	ynor6
move.l	#ytabella,a1
move.b	(A1)+,d0

ynor6:
move.b	d0,sprite5
add.b	#sp5height,d0
move.b	d0,sprite5+2
move.l	a1,ypointer6
move.l	ypointer7,a1
move.b	(a1)+,d0
cmp.b	#"!",d0
bne	ynor7
move.l	#ytabella,a1
move.b	(A1)+,d0

ynor7:
move.b	d0,sprite6
add.b	#sp6height,d0
move.b	d0,sprite6+2
move.l	a1,ypointer7
move.l	ypointer8,a1
move.b	(a1)+,d0
cmp.b	#"!",d0
bne	ynor8
move.l	#ytabella,a1
move.b	(A1)+,d0

ynor8:
move.b	d0,sprite7
add.b	#sp7height,d0
move.b	d0,sprite7+2
move.l	a1,ypointer8
rts

xpointer:dc.l xtabella
xpointer2:dc.l xtabella+10	; Questo perche' gli sprites non
xpointer3:dc.l xtabella+20	; rimangano troppo "attaccati"
xpointer4:dc.l xtabella+30
xpointer5:dc.l xtabella+40
xpointer6:dc.l xtabella+50
xpointer7:dc.l xtabella+60
xpointer8:dc.l xtabella+70
ypointer:dc.l ytabella
ypointer2:dc.l ytabella+5
ypointer3:dc.l ytabella+10
ypointer4:dc.l ytabella+15
ypointer5:dc.l ytabella+20
ypointer6:dc.l ytabella+25
ypointer7:dc.l ytabella+30
ypointer8:dc.l ytabella+35

xtabella:
;210-70
	dc.b	70,70,70,70,70,70,71,71
	dc.b	71,71,72,72,72,73,73,73
	dc.b	74,74,75,75,76,77,77,78
	dc.b	79,79,80,81,82,83,83,84
	dc.b	85,86,87,88,89,90,91,92
	dc.b	93,94,95,97,98,99,100,101
	dc.b	102,104,105,106,108,109,110,112
	dc.b	113,114,116,117,118,120,121,123
	dc.b	124,125,127,-128,-126,-125,-123,-122
	dc.b	-120,-119,-117,-116,-115,-113,-112,-110
	dc.b	-109,-107,-106,-104,-103,-101,-100,-99
	dc.b	-97,-96,-94,-93,-92,-90,-89,-88
	dc.b	-86,-85,-84,-82,-81,-80,-78,-77
	dc.b	-76,-75,-74,-73,-71,-70,-69,-68
	dc.b	-67,-66,-65,-64,-63,-62,-61,-60
	dc.b	-59,-59,-58,-57,-56,-55,-55,-54
	dc.b	-53,-53,-52,-51,-51,-50,-50,-49
	dc.b	-49,-49,-48,-48,-48,-47,-47,-47
	dc.b	-47,-46,-46,-46,-46,-46,-46,-46
	dc.b	-46,-46,-46,-46,-47,-47,-47,-47
	dc.b	-48,-48,-48,-49,-49,-49,-50,-50
	dc.b	-51,-51,-52,-53,-53,-54,-55,-55
	dc.b	-56,-57,-58,-59,-59,-60,-61,-62
	dc.b	-63,-64,-65,-66,-67,-68,-69,-70
	dc.b	-71,-73,-74,-75,-76,-77,-78,-80
	dc.b	-81,-82,-84,-85,-86,-88,-89,-90
	dc.b	-92,-93,-94,-96,-97,-99,-100,-101
	dc.b	-103,-104,-106,-107,-109,-110,-112,-113
	dc.b	-115,-116,-117,-119,-120,-122,-123,-125
	dc.b	-126,-128,127,125,124,123,121,120
	dc.b	118,117,116,114,113,112,110,109
	dc.b	108,106,105,104,102,101,100,99
	dc.b	98,97,95,94,93,92,91,90
	dc.b	89,88,87,86,85,84,83,83
	dc.b	82,81,80,79,79,78,77,77
	dc.b	76,75,75,74,74,73,73,73
	dc.b	72,72,72,71,71,71,71,70
	dc.b	70,70,70,70

	dc.b	"!"
even

ytabella:
	dc.b	50,50,50,50,50,51,51,51
	dc.b	52,52,53,53,54,55,55,56
	dc.b	57,58,59,60,61,62,63,64
	dc.b	65,66,67,69,70,71,73,74
	dc.b	76,77,79,80,82,83,85,86
	dc.b	88,90,91,93,95,96,98,100
	dc.b	102,103,105,107,108,110,112,114
	dc.b	115,117,119,120,122,124,125,127
	dc.b	-128,-126,-125,-123,-122,-120,-119,-117
	dc.b	-116,-115,-113,-112,-111,-110,-109,-108
	dc.b	-107,-106,-105,-104,-103,-102,-101,-101
	dc.b	-100,-99,-99,-98,-98,-97,-97,-97
	dc.b	-96,-96,-96,-96,-96,-96,-96,-96
	dc.b	-96,-97,-97,-97,-98,-98,-99,-99
	dc.b	-100,-101,-101,-102,-103,-104,-105,-106
	dc.b	-107,-108,-109,-110,-111,-112,-113,-115
	dc.b	-116,-117,-119,-120,-122,-123,-125,-126
	dc.b	-128,127,125,124,122,120,119,117
	dc.b	115,114,112,110,108,107,105,103
	dc.b	102,100,98,96,95,93,91,90
	dc.b	88,86,85,83,82,80,79,77
	dc.b	76,74,73,71,70,69,67,66
	dc.b	65,64,63,62,61,60,59,58
	dc.b	57,56,55,55,54,53,53,52
	dc.b	52,51,51,51,50,50,50,50
	dc.b	"!"
even

** Dati **

altezza=	22
larghezza=	40
sinvel:	dc.l	6
oldcop:	dc.l	0
current:dc.l	screen
source:	dc.l	scroll
dest:	dc.l	screen+[2*larghezza]-4
carattere:dc.l	testo
char1:	dc.l	chars
posit:	dc.w	0
shift:	dc.w	0
screen=		$71000
screen2=	$74000
chars:blk.b 10244,0
blk.w		larghezza+2*altezza+1,0	; Non togliere!
mt_data=	$4c800
scroll:	blk.w	42*41,0
puntatonda:dc.l	tabella
punti:dc.w	0
caciaiuolo:dc.w	0
pausa:	dc.w	0

copper:
dc.w	$0120
sp1:	dc.w  $0000,$0122
sp2:	dc.w  $0000,$0124
sp3:	dc.w  $0000,$0126
sp4:	dc.w  $0000
dc.w	$0128
sp5:	dc.w  $0000,$012A
sp6:	dc.w  $0000,$012C
sp7:	dc.w  $0000,$012E
sp8:	dc.w  $0000
dc.w	$0130
sp9:	dc.w  $0000,$0132
sp10:	dc.w  $0000,$0134
sp11:	dc.w  $0000,$0136
sp12:	dc.w  $0000
dc.w	$0138
sp13:	dc.w  $0000,$013A
sp14:	dc.w  $0000,$013C
sp15:	dc.w  $0000,$013E
sp16:	dc.w  $0000
	dc.w	$0100,$4200,$0102,$0000,$0104,$0001,$0108,$0000,$010a,$0000
	dc.w	$0092,$0038,$0094,$00d0,$008e,$2081,$0090,$2cc1
	dc.w	$00e0,$0004,$00e2
pointah:dc.w	$2800,$00e4,$0004,$00e6
pointa2:dc.w	$5000
	dc.w	$00e8,$0004,$00ea
pointa3:dc.w	$7800
	dc.w	$00ec
pl0h:	dc.w	$0000,$00ee
pl0l:	dc.w	$0000
	dc.w	$009c,$8010
cop1:	dc.w	$0180,$0000
	dc.w	$0182,$0FFF
	dc.w	$0184,$0BBD
	dc.w	$0186,$088B
	dc.w	$0188,$0559
	dc.w	$018A,$0448
	dc.w	$018C,$0337
	dc.w	$018E,$0226
	dc.w	$0190,$0706
	dc.w	$0192,$0f0d
	dc.w	$0194,$0e0c
	dc.w	$0196,$0d0b
	dc.w	$0198,$0c0a
	dc.w	$019a,$0b09
	dc.w	$019c,$0a08
	dc.w	$019e,$0807
	dc.w	$01A2,$0f0f,$01A4,$0b0b,$01A6,$0707
	dc.w	$01Aa,$0f0f,$01Ac,$0f0b,$01Ae,$0f07
	dc.w	$01b2,$0ff0,$01b4,$0fb0,$01b6,$0f70
	dc.w	$01ba,$00f0,$01bc,$00b0,$01be,$0070

nesquik1:blk.b	barheight*16,0
nesquik2:blk.b	barheight*16,0
nesquik3:blk.b	barheight*16,0
nesquik4:blk.b	barheight*16,0

dc.w	$ffdf,$fffe,$0180,4

copcols=*+6
copcols2=*+10
dc.w	 $0001,$fffe,$0108,0,$010a,0
dc.w	 $0101,$fffe,$0108,0,$010a,0
dc.w	 $0201,$fffe,$0108,0,$010a,0
dc.w	 $0301,$fffe,$0108,0,$010a,0
dc.w	 $0401,$fffe,$0108,0,$010a,0
dc.w	 $0501,$fffe,$0108,0,$010a,0
dc.w	 $0601,$fffe,$0108,0,$010a,0
dc.w	 $0701,$fffe,$0108,0,$010a,0
dc.w	 $0801,$fffe,$0108,0,$010a,0
dc.w	 $0901,$fffe,$0108,0,$010a,0
dc.w	 $0a01,$fffe,$0108,0,$010a,0
dc.w	 $0b01,$fffe,$0108,0,$010a,0
dc.w	 $0c01,$fffe,$0108,0,$010a,0
dc.w	 $0d01,$fffe,$0108,0,$010a,0
dc.w	 $0e01,$fffe,$0108,0,$010a,0
dc.w	 $0f01,$fffe,$0108,0,$010a,0
dc.w	 $1001,$fffe,$0108,0,$010a,0
dc.w	 $1101,$fffe,$0108,0,$010a,0
dc.w	 $1201,$fffe,$0108,0,$010a,0
dc.w	 $1301,$fffe,$0108,0,$010a,0
dc.w	 $1401,$fffe,$0108,0,$010a,0
dc.w	 $1501,$fffe,$0108,0,$010a,0
dc.w	 $1601,$fffe,$0108,0,$010a,0
dc.w	 $1701,$fffe,$0108,0,$010a,0
dc.w	 $1801,$fffe,$0108,0,$010a,0
dc.w	 $1901,$fffe,$0108,0,$010a,0
dc.w	 $1a01,$fffe,$0108,0,$010a,0
dc.w	 $1b01,$fffe,$0108,0,$010a,0
dc.w	 $1c01,$fffe,$0108,0,$010a,0
dc.w	 $1d01,$fffe,$0108,0,$010a,0
dc.w	 $1e01,$fffe,$0108,0,$010a,0
dc.w	 $1f01,$fffe,$0108,0,$010a,0
dc.w	 $2001,$fffe,$0108,0,$010a,0
dc.w	 $2101,$fffe,$0108,0,$010a,0
dc.w	 $2201,$fffe,$0108,0,$010a,0
dc.w	 $2301,$fffe,$0108,0,$010a,0
dc.w	 $2401,$fffe,$0108,0,$010a,0
dc.w	 $2501,$fffe,$0108,0,$010a,0
dc.w	 $2601,$fffe,$0108,0,$010a,0
dc.w	 $2701,$fffe,$0108,0,$010a,0
dc.w	 $2801,$fffe,$0108,0,$010a,0
dc.w	 $2901,$fffe,$0108,0,$010a,0
dc.w	 $2a01,$fffe,$0108,0,$010a,0
dc.w	 $2b01,$fffe,$0108,0,$010a,0
dc.w	 $2c01,$fffe,$0108,0,$010a,0
dc.w	$ffff,$fffe

gfxlib:	dc.b	"graphics.library",0,0
gfxbse:	dc.l	0

PROP:
blk.w 65,9

TABELLA:
DC.W	$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
DC.W	$0000,$0000,$0000,$0000,$0000,$0001,$0001,$0001,$0001,$0001,$0001,$0001,$0002,$0002,$0002
DC.W	$0002,$0002,$0003,$0003,$0003,$0003,$0004,$0004,$0004,$0005,$0005,$0005,$0005,$0006,$0006
DC.W	$0007,$0007,$0007,$0008,$0008,$0008,$0009,$0009,$000A,$000A,$000B,$000B,$000C,$000C,$000C
DC.W	$000D,$000D,$000E,$000F,$000F,$0010,$0010,$0011,$0011,$0012,$0012,$0013,$0014,$0014,$0015
DC.W	$0015,$0016,$0017,$0017,$0018,$0019,$0019,$001A,$001B,$001B,$001C,$001D,$001E,$001E,$001F
DC.W	$0020,$0021,$0021,$0022,$0023,$0024,$0024,$0025,$0026,$0027,$0028,$0028,$0029,$002A,$002B
DC.W	$002C,$002D,$002D,$002E,$002F,$0030,$0031,$0032,$0033,$0034,$0034,$0035,$0036,$0037,$0038
DC.W	$0039,$003A,$003B,$003C,$003D,$003E,$003F,$0040,$0040,$0041,$0042,$0043,$0044,$0045,$0046
DC.W	$0047,$0048,$0049,$004A,$004B,$004C,$004D,$004E,$004F,$0050,$0051,$0052,$0053,$0054,$0055
DC.W	$0056,$0057,$0058,$0059,$005A,$005B,$005C,$005D,$005E,$005F,$0061,$0062,$0063,$0064,$0065
DC.W	$0066,$0067,$0068,$0069,$006A,$006B,$006C,$006D,$006E,$006F,$0070,$0071,$0072,$0073,$0074
DC.W	$0075,$0076,$0077,$0078,$0079,$007A,$007B,$007C,$007D,$007E,$007F,$0080,$0081,$0082,$0083
DC.W	$0084,$0085,$0086,$0087,$0088,$0089,$008A,$008B,$008C,$008D,$008E,$008F,$0090,$0091,$0092
DC.W	$0093,$0094,$0094,$0095,$0096,$0097,$0098,$0099,$009A,$009B,$009C,$009D,$009D,$009E,$009F
DC.W	$00A0,$00A1,$00A2,$00A3,$00A3,$00A4,$00A5,$00A6,$00A7,$00A8,$00A8,$00A9,$00AA,$00AB,$00AB
DC.W	$00AC,$00AD,$00AE,$00AE,$00AF,$00B0,$00B1,$00B1,$00B2,$00B3,$00B3,$00B4,$00B5,$00B6,$00B6
DC.W	$00B7,$00B7,$00B8,$00B9,$00B9,$00BA,$00BB,$00BB,$00BC,$00BC,$00BD,$00BD,$00BE,$00BF,$00BF
DC.W	$00C0,$00C0,$00C1,$00C1,$00C2,$00C2,$00C3,$00C3,$00C4,$00C4,$00C5,$00C5,$00C5,$00C6,$00C6
DC.W	$00C7,$00C7,$00C7,$00C8,$00C8,$00C8,$00C9,$00C9,$00C9,$00CA,$00CA,$00CA,$00CB,$00CB,$00CB
DC.W	$00CB,$00CB,$00CC,$00CC,$00CC,$00CC,$00CD,$00CD,$00CD,$00CD,$00CD,$00CD,$00CD,$00CD,$00CE
DC.W	$00CE,$00CE,$00CE,$00CE,$00CE,$00CE,$00CE,$00CE,$00CE,$00CE,$00CE,$00CE,$00CE,$00CE,$00CE
DC.W	$00CE,$00CE,$00CE,$00CD,$00CD,$00CD,$00CD,$00CD,$00CD,$00CD,$00CD,$00CC,$00CC,$00CC,$00CC
DC.W	$00CC,$00CB,$00CB,$00CB,$00CB,$00CA,$00CA,$00CA,$00C9,$00C9,$00C9,$00C8,$00C8,$00C8,$00C7
DC.W	$00C7,$00C7,$00C6,$00C6,$00C5,$00C5,$00C5,$00C4,$00C4,$00C3,$00C3,$00C2,$00C2,$00C1,$00C1
DC.W	$00C0,$00C0,$00BF,$00BF,$00BE,$00BE,$00BD,$00BD,$00BC,$00BB,$00BB,$00BA,$00BA,$00B9,$00B8
DC.W	$00B8,$00B7,$00B6,$00B6,$00B5,$00B4,$00B4,$00B3,$00B2,$00B2,$00B1,$00B0,$00B0,$00AF,$00AE
DC.W	$00AD,$00AD,$00AC,$00AB,$00AA,$00A9,$00A9,$00A8,$00A7,$00A6,$00A5,$00A5,$00A4,$00A3,$00A2
DC.W	$00A1,$00A0,$00A0,$009F,$009E,$009D,$009C,$009B,$009A,$0099,$0099,$0098,$0097,$0096,$0095
DC.W	$0094,$0093,$0092,$0091,$0090,$008F,$008E,$008D,$008C,$008B,$008A,$008A,$0089,$0088,$0087
DC.W	$0086,$0085,$0084,$0083,$0082,$0081,$0080,$007F,$007E,$007D,$007C,$007B,$007A,$0079,$0078
DC.W	$0077,$0076,$0075,$0073,$0072,$0071,$0070,$006F,$006E,$006D,$006C,$006B,$006A,$0069,$0068
DC.W	$0067,$0066,$0065,$0064,$0063,$0062,$0061,$0060,$005F,$005E,$005D,$005C,$005B,$005A,$0059
DC.W	$0058,$0057,$0056,$0055,$0054,$0053,$0052,$0051,$0050,$004F,$004E,$004D,$004C,$004B,$004A
DC.W	$0049,$0048,$0047,$0046,$0045,$0044,$0043,$0042,$0041,$0040,$003F,$003E,$003D,$003C,$003B
DC.W	$003A,$0039,$0038,$0038,$0037,$0036,$0035,$0034,$0033,$0032,$0031,$0030,$0030,$002F,$002E
DC.W	$002D,$002C,$002B,$002A,$002A,$0029,$0028,$0027,$0026,$0026,$0025,$0024,$0023,$0022,$0022
DC.W	$0021,$0020,$001F,$001F,$001E,$001D,$001D,$001C,$001B,$001A,$001A,$0019,$0018,$0018,$0017
DC.W	$0016,$0016,$0015,$0015,$0014,$0013,$0013,$0012,$0012,$0011,$0010,$0010,$000F,$000F,$000E
DC.W	$000E,$000D,$000D,$000C,$000C,$000B,$000B,$000A,$000A,$0009,$0009,$0009,$0008,$0008,$0007
DC.W	$0007,$0007,$0006,$0006,$0006,$0005,$0005,$0005,$0004,$0004,$0004,$0004,$0003,$0003,$0003
DC.W	$0003,$0002,$0002,$0002,$0002,$0002,$0001,$0001,$0001,$0001,$0001,
dc.w	$0001
half:	dc.w  $0001,$0000,$0000
DC.W	$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
DC.W	$0000,$0000,$0000,$0001,$0001,$0001,$0001,$0001,$0001,$0001,$0002,$0002,$0002,$0002,$0002
DC.W	$0003,$0003,$0003,$0003,$0004,$0004,$0004,$0005,$0005,$0005,$0005,$0006,$0006,$0007,$0007
DC.W	$0007,$0008,$0008,$0008,$0009,$0009,$000A,$000A,$000B,$000B,$000C,$000C,$000C,$000D,$000D
DC.W	$000E,$000F,$000F,$0010,$0010,$0011,$0011,$0012,$0012,$0013,$0014,$0014,$0015,$0015,$0016
DC.W	$0017,$0017,$0018,$0019,$0019,$001A,$001B,$001B,$001C,$001D,$001E,$001E,$001F,$0020,$0021
DC.W	$0021,$0022,$0023,$0024,$0024,$0025,$0026,$0027,$0028,$0028,$0029,$002A,$002B,$002C,$002D
DC.W	$002D,$002E,$002F,$0030,$0031,$0032,$0033,$0034,$0034,$0035,$0036,$0037,$0038,$0039,$003A
DC.W	$003B,$003C,$003D,$003E,$003F,$0040,$0040,$0041,$0042,$0043,$0044,$0045,$0046,$0047,$0048
DC.W	$0049,$004A,$004B,$004C,$004D,$004E,$004F,$0050,$0051,$0052,$0053,$0054,$0055,$0056,$0057
DC.W	$0058,$0059,$005A,$005B,$005C,$005D,$005E,$005F,$0061,$0062,$0063,$0064,$0065,$0066,$0067
DC.W	$0068,$0069,$006A,$006B,$006C,$006D,$006E,$006F,$0070,$0071,$0072,$0073,$0074,$0075,$0076
DC.W	$0077,$0078,$0079,$007A,$007B,$007C,$007D,$007E,$007F,$0080,$0081,$0082,$0083,$0084,$0085
DC.W	$0086,$0087,$0088,$0089,$008A,$008B,$008C,$008D,$008E,$008F,$0090,$0091,$0092,$0093,$0094
DC.W	$0094,$0095,$0096,$0097,$0098,$0099,$009A,$009B,$009C,$009D,$009D,$009E,$009F,$00A0,$00A1
DC.W	$00A2,$00A3,$00A3,$00A4,$00A5,$00A6,$00A7,$00A8,$00A8,$00A9,$00AA,$00AB,$00AB,$00AC,$00AD
DC.W	$00AE,$00AE,$00AF,$00B0,$00B1,$00B1,$00B2,$00B3,$00B3,$00B4,$00B5,$00B6,$00B6,$00B7,$00B7
DC.W	$00B8,$00B9,$00B9,$00BA,$00BB,$00BB,$00BC,$00BC,$00BD,$00BD,$00BE,$00BF,$00BF,$00C0,$00C0
DC.W	$00C1,$00C1,$00C2,$00C2,$00C3,$00C3,$00C4,$00C4,$00C5,$00C5,$00C5,$00C6,$00C6,$00C7,$00C7
DC.W	$00C7,$00C8,$00C8,$00C8,$00C9,$00C9,$00C9,$00CA,$00CA,$00CA,$00CB,$00CB,$00CB,$00CB,$00CB
DC.W	$00CC,$00CC,$00CC,$00CC,$00CD,$00CD,$00CD,$00CD,$00CD,$00CD,$00CD,$00CD,$00CE,$00CE,$00CE
DC.W	$00CE,$00CE,$00CE,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000

testo:
DC.B "   HELLO FOLKS!     SAVAGE IS PROUD TO BRING YOU...           "
DC.B "FREEDOM CRACK ISSUE 3!    INTRO CREDITS: PICTURE AND CHARSET "
DC.B "PAINTED BY EXCALIBUR, IDEA AND CODING BY FILIPPETTO, MUSIC FROM "
DC.B "THE LOADER OF THE GAME RAMBO!      NOW IT'S TIME FOR THE GREETZ..."
DC.B "         "
DC.B "SAVAGE GREETZ FLY TO: "
DC.B "ABANDON (SORBOS,MARVIN) - "
DC.B "ABAKUS (MAGIC P, ARMIN) - "
DC.B "ACL (COSMOS) - "
DC.B "ACU (HI DARREN OF NUKEBUSTERS) - "
DC.B "ADEPT (HI STRANGER) - "
DC.B "ALPHA FLIGHT (HI GATOR,DEPODE,RENE AND VISION ONE: HI TROLLO) - "
DC.B "AOFCF (SODAN) - "
DC.B "APEX (HI YEGGMAN AND MR TURNIP) - "
DC.B "ARMADA (TIMECODE,HAWKEYE) - "
DC.B "BARNA BYTE BUSTERS - "
DC.B "BYTERAPERS INC. (WHALE) - "
DC.B "BRAINSTORM (HI ORLANDO) - "
DC.B "CAVE (HI JUPE) - "
DC.B "CASCADE FINLAND (DR WEIRD) - "
DC.B "CELTIC (HI SLAYER AND CONAN) - "
DC.B "CLONES (HI AWCY) - "
DC.B "CINEFEX DES. (EXPRESS) - "
DC.B "COAST 1990 (YO SKEZ-ONE! THANX FOR KOOL POSTCARD!) - "
DC.B "CRYPTOBURNERS (JACKMIX) - "
DC.B "CRUSADERS - "
DC.B "DESASTER AREA - "
DC.B "DICTATORS (COOL DEMO!) - "
DC.B "DISKNET (TRIAX) - "
DC.B "DUAL CREW (HI MUTANT) - "
DC.B "DUPLEX - "
DC.B "D MOB (HI XOR) - "
DC.B "DOOM - "
DC.B "DREAMS OF POWER - "
DC.B "DYNAX - "
DC.B "ENERGY (HI:JASON,STRANGER,FLOYD,QB,DON,ANTIBYTE,MAGIC SECTOR,CLINT) - "
DC.B "EXTREME (MYSTIK) - "
DC.B "FLASH PRODUCTION (THE PRIDE) - "
DC.B "FULL EVIL (PRISM) - "
DC.B "HUMANOIDS (NOVA) - "
DC.B "IMAGE (SCUM) - "
DC.B "IMMORTAL (HI RAY JACKSON,BYE RED BULL) - "
DC.B "IPEC ELITE (VOYAGER) - "
DC.B "ITALIAN BAD BOYS - "
DC.B "LEVEL 4 (HI CMR) - "
DC.B "LUNACY (PANTHER) - "
DC.B "MINDKILLERS (KOTO) - "
DC.B "MIRACLE (HI SABBATH THE VANDAL) - "
DC.B "NORTH STAR (YO RAISTLIN! COOL ARTICLE!) - "
DC.B "ONYX (YO CRUSHER! THANX FOR THE TEA!!!) - "
DC.B "PARADOX (HI LOVERBOY) - "
DC.B "PUSSY (TCB) - "
DC.B "QUARTEX (HI IMAGE) - "
DC.B "REBELS YU - "
DC.B "RESOLUTION 101 - "
DC.B "RELAX (REVCORE) - "
DC.B "SCOOPEX (HI BLENRIS AND TMB) - "
DC.B "SEMTEX (SOUL) - "
DC.B "SPECIAL BROTHERS (ADICTOR) - "
DC.B "SUBWAY (MARK,GEORGE2) - "
DC.B "SUPPLEX (XACT) - "
DC.B "SUN CONNECTION (COBBURN) - "
DC.B "SYSTEM FIVE (TERMINATORX) - "
DC.B "SPECTRE - "
DC.B "THYRONE (MEGABLAST AND MR.IRQ! SORRY! BUT WHERE ARE YOUR ARTICLES?) - "
DC.B "TRISTAR (HI BIGOD20) - "
DC.B "TRIUMPH (NINJA) - "
DC.B "UNTOUCHABLES (INDY) - "
DC.B "VISION (HI JETAZA AND STINGRAY) - "
DC.B "VISION FACTORY (TSH) - "
DC.B "WIZZCAT (CRUX) - "
DC.B "WARFALCONS (EINSTEIN,DISKRUNNER) - "
DC.B "WICKED BRAINS - "
DC.B "ZERO DEFECTS (YO XENIO AND PARANOID!)      "
DC.B "OF COURSE WE MAY HAVE FORGOTTEN SOMEONE, IF IT HAPPENED "
DC.B "JUST WRITE TO OUR HQ...          "
dc.b "            CONTACT SAVAGE:  P.O.BOX 10 - 8607 KAPFENBERG - "
DC.B "AUSTRIA                      FILIPPO RIZZI - VIA VESCOVADO 39 - "
DC.B "35100 PADOVA - ITALY         GIULIANO GALEA - VIA ZENSON DI PIAVE "
DC.B "2B - 31100 TREVISO - ITALY                                        "
dc.b "    SCROLL RESTARTS....                          SEE YA! "
DC.B 0
EVEN

sp0height=$a4-$45
sprite0:
dc.w $4545,$a400
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0

sp1height=$a4-$45
sprite1:
dc.w $4545,$a400
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0

sp2height=$a4-$45
sprite2:
dc.w $4545,$a400
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0

sp3height=$a4-$45
sprite3:
dc.w $4545,$a400
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0

sp4height=$a4-$45
sprite4:
dc.w $4545,$a400
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0

sp5height=$a4-$45
sprite5:
dc.w $4545,$a400
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0

sp6height=$a4-$45
sprite6:
dc.w $4545,$a400
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0

sp7height=$a4-$45
sprite7:
dc.w $4545,$a400
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
dc.w $0740,$07C0
dc.w $11B0,$1FF0
dc.w $1D18,$22F8
dc.w $7E5C,$41FC
dc.w $3E8C,$417C
dc.w $BE3E,$C1FE
dc.w $9D1E,$E2FE
dc.w $D47E,$EBFE
dc.w $C85E,$F7FE
dc.w $F15E,$FFFE
dc.w $7DFC,$7FFC
dc.w $76FC,$7FFC
dc.w $3FF8,$3FF8
dc.w $1FF0,$1FF0
dc.w $07C0,$07C0
dc.w 0,0
